// test-Assert
//
// Copyright © 1998 Arcane Dragon Software
//                  Chris Herborth (chrish@kagi.com)
//
// Test the ChAssert versions of assert().

#include "Ch/ChAssert.h"
#include <app/Application.h>
#include <stdio.h>

static char *_rcs_id = "$Id: test-Assert.cpp,v 1.2 1998/04/14 00:34:05 chrish Exp $";

int main( void )
{
	printf( "ChAssert test\n" );
	printf( "%s\n", _rcs_id );
	printf( "\n" );

	BApplication app( "application/x-vnd.arcane-asserttest" );

	char *null_ptr = NULL;

	ASSERT( null_ptr != NULL, "null_ptr is NULL!" );
	puts( "Continuing past ASSERT()..." );

	app.PostMessage( B_QUIT_REQUESTED );

	app.Run();

	return 0;
}
